Developers

Get your currently ongoing stages

GET
/project/stages/get-current-stages

Get your currently ongoing stages

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

status?string
status[]?array<string>
name?string
project?string
project[]?array<string>
order[name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[weight]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[dateStart]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[dateEnd]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[createdAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[updatedAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

curl -X GET "https://example.com/project/stages/get-current-stages"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",    "projectName": "string",    "projectShortcode": "string",    "stageType": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "decorator": "#78909c"    },    "dateStart": "2019-08-24T14:15:22Z",    "dateEnd": "2019-08-24T14:15:22Z",    "progress": 0  }]